/**
 * @Author Awen
 * @Description
 * @Date 2021/12/18
 **/

package captcha

/**
 * @Description: 获取缓存资源
 * @param path
 * @return []byte
 * @return error
 */
func getAssetCache(path string) (ret []byte, erro error) {
	return GetAssetCache(path)
}

/**
 * @Description: 资源是否缓存
 * @param path
 * @return []byte
 * @return error
 */
func hasAssetCache(path string) bool {
	return HasAssetCache(path)
}

/**
 * @Description: 清除资源缓存
 * @param paths
 * @return bool
 */
func clearAssetCache(paths []string) bool {
	return ClearAssetCache(paths)
}

/**
 * @Description: 设置缓存资源
 * @param path
 * @return error
 */
func setAssetCache(path string, content []byte, force bool) bool {
	return SetAssetCache(path, content, force)
}

// =============================================
// Call API
// =============================================
// ClearAssetCacheWithPaths is a function
/**
 * @Description: 根据路径清除资源缓存
 * @param paths
 * @return bool
 */
func ClearAssetCacheWithPaths(paths []string) bool {
	return clearAssetCache(paths)
}
